%% Beregning for  illustrere Eurokode 2 revisjonen med og uten kriteriet acs>2.5d
%% Innputt data
a=3000;
fck=35;
a_d=linspace(6,2.5,50);
d=a./a_d;
b=200;
p=800./(b*d);
V=100;
q=100;
dg=16;
Es=200000;
Ec=10000*fck.^(1/3);
fy=500;
L=6000;
V_j=(q.*(L*10^-3))/2;

%% Videreutvikling CSCT

Xcrit_CSCT=a-d;
for i=1:50
    if Xcrit_CSCT(i) >= d(i)
    Xcrit_CSCT(i)= Xcrit_CSCT(i);
    elseif  Xcrit_CSCT(i) < d(i)
     Xcrit_CSCT(i)=d(i);
    end
end
rf=d;
Alpha_cs=(Xcrit_CSCT./d);
k=(1/(1-0.15))*(0.5+0.2.*(Alpha_cs).^(1/3));
Vc_rev=k.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT))).^(1/3)).*10^-3;

Xcrit_CSCT_j=d.*((L-d)./(L-2.*d));
for i=1:50
    if Xcrit_CSCT_j(i) >= d(i)
    Xcrit_CSCT_j(i)= Xcrit_CSCT_j(i);
    elseif  Xcrit_CSCT_j(i) < d(i)
     Xcrit_CSCT_j(i)=d(i);
    end
end
rf_j=((L/2)-d)./2;
Alpha_cs_j=(Xcrit_CSCT_j./d);
k_j=(1./(1-(0.15.*(d./rf_j)))).*(0.5+0.2.*(Alpha_cs_j).^(1/3));
Vc_rev_j=k_j.*b.*d.*((100.*p.*fck.*((16+dg)./(Xcrit_CSCT_j))).^(1/3)).*10^-3;
%% Revisjon av EC2

Xcrit_EC2rev=(a-d/2);

for i=1:50
    if Xcrit_EC2rev(i) >= 2.5*d(i)
    Vc_EC2rev(i)=(a-d(i)/2);
    elseif Xcrit_EC2rev(i) < 2.5*d(i)
    Xcrit_EC2rev(i)=2.5*d(i);
    end
end

Vc_EC2rev=((100.*p.*fck.*((16+dg)./(Xcrit_EC2rev))).^(1/3))*b.*d.*10^-3;

Vmin_rev=0.021*((Es*fck*((16+dg)./(fy*d))).^(1/2))*b.*d*10^-3;
    
for i=1:50
    if Vc_EC2rev(i) >= Vmin_rev(i)
    Vc_EC2rev(i)=((100*p(i)*fck*((16+dg)./(Xcrit_EC2rev(i)))).^(1/3))*b*d(i)*10^-3;
    elseif Vc_EC2rev(i) < Vmin_rev(i)
    Vc_EC2rev(i)=Vmin_rev(i);
    end
end

Xcrit_EC2rev_j=(d/2)*((L-(d/2))/(L-d));
ra=2.5*d;
for i=1:50
    if Xcrit_EC2rev_j(i) >= 2.5*d(i)
    Vc_EC2rev_j(i)=(d(i)/2).*((L-(d(i)/2))./(L-d(i)));
    elseif Xcrit_EC2rev_j(i) < 2.5*d(i)
    Xcrit_EC2rev_j(i)=2.5*d(i);
    end
end

Vc_EC2rev_j=((100.*p.*fck.*((16+dg)./(Xcrit_EC2rev_j))).^(1/3))*b.*d*10^-3;

Vmin_rev=0.021*((Es*fck*((16+dg)./(fy*d))).^(1/2))*b.*d*10^-3;
    
for i=1:50
    if Vc_EC2rev_j(i) >= Vmin_rev(i)
    Vc_EC2rev_j(i)=((100*p(i)*fck*((16+dg)./(Xcrit_EC2rev_j(i)))).^(1/3))*b*d(i)*10^-3;
    elseif Vc_EC2rev_j(i) < Vmin_rev(i)
    Vc_EC2rev_j(i)=Vmin_rev(i);
    end
end

Xcrit_EC2rev_jf=(d/2)*((L-(d/2))/(L-d));
Vc_EC2rev_jf=((100.*p.*fck.*((16+dg)./(Xcrit_EC2rev_jf))).^(1/3))*b.*d*10^-3;



%% plot
fig=figure
plot(d,Vc_EC2rev_j,'color',[1.0 0.8 0],'LineWidth',1.5)
hold on
plot(d,Vc_EC2rev_jf,'--','color',[1.0 0.8 0],'LineWidth',1.5)
hold on
plot(d,Vc_rev_j,'color',[0 0.6 0.3],'LineWidth',1.5')
axis([500 1200 80 215])
xlabel('d [mm]')
ylabel ('VRd [kN]')
legend('Eurokode 2 revisjon 2.5*d','Eurokode 2 revisjon (d/2)*(L-(d/2))/(L-d)','CSCT videreutvikling','location','northwest')
print(fig,'d_bevis_Sammenligninger','-dpng','-r300')
